<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_16</title>
</head>
<body>
    <h1>Capitulo 16</h1>
    <a>Ejercicio 13</a>

    <script>

        class Point { 
            constructor(val) {
                this.x = val;
                this.y = val;
            }
        }

        const lineaCorte = ( l1,  r1,  l2,  r2) => {

            if (l1.x > r2.x || l2.x > r1.x) {
                return false;
            }   

            if (r1.y > l2.y || r2.y > l1.y) {
                return false;
            }

            return true;
        }


        let l1 = new Point(), r1 = new Point(),
        l2 = new Point(), r2 = new Point();
        l1.x = 0;
        l1.y = 10;
        r1.x = 10;
        r1.y = 0;
        l2.x = 5;
        l2.y = 5;
        r2.x = 15;
        r2.y = 0;

        if (lineaCorte(l1, r1, l2, r2)) {
            console.log("Se encontro la linea de corte entre los cuadrados");
        } else {
            console.log("No se encontro linea de corte");
        }
    

</script>
    
</body>
</html>